AttachAPINotFoundException (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.lang

## Class AttachAPINotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.lang.AttachAPINotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class AttachAPINotFoundException
      extends java.lang.RuntimeException

  The AttachAPINotFoundException class is a RuntimeException indicating that the JDK tools.jar has not been properly set on the user's classpath

  Since:
    GemFire 7.0
  See Also:
    `RuntimeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachAPINotFoundException()` Constructs an instance of the AttachAPINotFoundException class.
    `AttachAPINotFoundException(java.lang.String message)` Constructs an instance of the AttachAPINotFoundException class with a description of the problem.
    `AttachAPINotFoundException(java.lang.String message, java.lang.Throwable cause)` Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown in addition to a description of the problem.
    `AttachAPINotFoundException(java.lang.Throwable cause)` Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachAPINotFoundException

          public AttachAPINotFoundException()

      Constructs an instance of the AttachAPINotFoundException class.

    - #### AttachAPINotFoundException

          public AttachAPINotFoundException(java.lang.String message)

      Constructs an instance of the AttachAPINotFoundException class with a description of the problem.

      Parameters:
        `message` - a String describing the nature of the Exception and why it was thrown.

    - #### AttachAPINotFoundException

          public AttachAPINotFoundException(java.lang.Throwable cause)

      Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown.

      Parameters:
        `cause` - a Throwable indicating the reason this Exception was thrown.

    - #### AttachAPINotFoundException

          public AttachAPINotFoundException(java.lang.String message,
                                            java.lang.Throwable cause)

      Constructs an instance of the AttachAPINotFoundException class with a reference to the underlying Exception causing this Exception to be thrown in addition to a description of the problem.

      Parameters:
        `message` - a String describing the nature of the Exception and why it was thrown.
        `cause` - a Throwable indicating the reason this Exception was thrown.